<?php

// 20080415 - Add notice about layout modifications
/*
 * Please refer to
 * "FirstSpot\authserv\template\login_form_body.tpl"
 * for HTML layout content
 */

require_once 'generate_common.php';
require_once "fs_login.php";

// 20080401 - Collect dynamic HTML content for layout
$smarty->assign('L_LOGIN_FORM_HEAD_TITLE', get_var('greeting', true));
$smarty->assign('L_LOGIN_FORM_TITLE', get_var('greeting'));
$smarty->assign('L_LOGIN_FORM_CHARSET', metaCharset());
$smarty->assign('L_LOGIN_FORM_LANG_BOX', language_selection_box()); // generate a selection box for user to choose language
if ($html != '>') {
    $smarty->assign('L_LOGIN_FORM_PIC_LINK', "<a href=\"$html\">");
    $smarty->assign('L_LOGIN_FORM_PIC_LINK_END', "</a>");
} else {
    $smarty->assign('L_LOGIN_FORM_PIC_LINK', '');
    $smarty->assign('L_LOGIN_FORM_PIC_LINK_END', '');
}
$smarty->assign('LOGIN_FORM_PIC', $pic);
$smarty->assign('LOGIN_FORM_PIC_ALT', get_var('login_form_pic_alt'));

if (isset($scratchLogin) && strtolower($scratchLogin) == 'on') {
    $smarty->assign('L_LOGIN_FORM_USER_NAME', get_var('user_scratch'));
    $smarty->assign('L_LOGIN_FORM_USERBOX_TYPE', 'password');
    $smarty->assign('L_LOGIN_FORM_SCRATCH_COMMENT_OPEN', '<!--');
    $smarty->assign('L_LOGIN_FORM_SCRATCH_COMMENT_CLOSE', '-->');
	
	$smarty->assign('L_LOGIN_FORM_NOT_USERNAME_PLUS_SCRATCH_COMMENT_OPEN', '<!--');
	$smarty->assign('L_LOGIN_FORM_NOT_USERNAME_PLUS_SCRATCH_COMMENT_CLOSE', '-->');
	
	$smarty->assign('L_LOGIN_FORM_USERNAME_COMMENT_OPEN', '');
    $smarty->assign('L_LOGIN_FORM_USERNAME_COMMENT_CLOSE', '');	
}
else if (isset($username_plus_scratch_login) && strtolower($username_plus_scratch_login) == 'on') {
	$smarty->assign('L_LOGIN_FORM_USER_NAME_SL', get_var('user_scratch'));
	$smarty->assign('L_LOGIN_FORM_USERBOX_TYPE_SL', 'password');
	$smarty->assign('L_LOGIN_FORM_SCRATCH_COMMENT_OPEN_SL', '<!--');
	$smarty->assign('L_LOGIN_FORM_SCRATCH_COMMENT_CLOSE_SL', '-->');

	$smarty->assign('L_LOGIN_FORM_USER_NAME', get_var('user_name'));
	$smarty->assign('L_LOGIN_FORM_USERBOX_TYPE', 'text');
	$smarty->assign('L_LOGIN_FORM_SCRATCH_COMMENT_OPEN', '');
	$smarty->assign('L_LOGIN_FORM_SCRATCH_COMMENT_CLOSE', '');

	$smarty->assign('L_LOGIN_FORM_NOT_USERNAME_PLUS_SCRATCH_COMMENT_OPEN', '');
	$smarty->assign('L_LOGIN_FORM_NOT_USERNAME_PLUS_SCRATCH_COMMENT_CLOSE', '');
	
	$smarty->assign('L_LOGIN_FORM_USERNAME_COMMENT_OPEN', '<!--');
    $smarty->assign('L_LOGIN_FORM_USERNAME_COMMENT_CLOSE', '-->');
}
else {
    $smarty->assign('L_LOGIN_FORM_USER_NAME', get_var('user_name'));
    $smarty->assign('L_LOGIN_FORM_USERBOX_TYPE', 'text');
    $smarty->assign('L_LOGIN_FORM_SCRATCH_COMMENT_OPEN', '');
    $smarty->assign('L_LOGIN_FORM_SCRATCH_COMMENT_CLOSE', '');
	
	$smarty->assign('L_LOGIN_FORM_NOT_USERNAME_PLUS_SCRATCH_COMMENT_OPEN', '<!--');
	$smarty->assign('L_LOGIN_FORM_NOT_USERNAME_PLUS_SCRATCH_COMMENT_CLOSE', '-->');
	
	$smarty->assign('L_LOGIN_FORM_USERNAME_COMMENT_OPEN', '<!--');
    $smarty->assign('L_LOGIN_FORM_USERNAME_COMMENT_CLOSE', '-->');
}

$cSelfSignup = '';
$cSelfSignup2 = '';
if (isset($displaySelfSignup) && strtolower($displaySelfSignup) == 'on') {
	if (isset($esmsMode) && strtolower($esmsMode) == 'on') {
		$cSelfSignup = '<a class="signuplink" href="esms.php">'.get_var('sign_up_now').'</a>';
		if (isset($username_plus_scratch_login) && strtolower($username_plus_scratch_login) == 'on') {
			$cSelfSignup2 = '<a class="signuplink" href="esms.php?sc=1">'.get_var('sign_up_now').'</a>';
		}
	}
	else{
		$cSelfSignup = '<a class="signuplink" href="signup_form.php">'.get_var('sign_up_now').'</a>';
		if (isset($username_plus_scratch_login) && strtolower($username_plus_scratch_login) == 'on') {
			$cSelfSignup2 = '<a class="signuplink" href="signup_form.php?sc=1">'.get_var('sign_up_now').'</a>';
		}
	}
}

$smarty->assign('LOGIN_FORM_METHOD_USERNAME', get_var('login_method_username'));
$smarty->assign('LOGIN_FORM_METHOD_SCRATCH', get_var('login_method_scratch'));

$smarty->assign('L_LOGIN_FORM_SELF_SIGN_UP', $cSelfSignup);
$smarty->assign('L_LOGIN_FORM_SELF_SIGN_UP2', $cSelfSignup2);
$smarty->assign('L_LOGIN_FORM_PASSWORD', get_var('Password'));
$smarty->assign('LOGIN_FORM_SUBMIT_BTN', get_var('submit_btn'));
if (isset($sLoginRemind)) {
    if ($sLoginRemind == '') {
	$smarty->assign('L_LOGIN_FORM_REMIND_COMMENT_OPEN', '<!--');
	$smarty->assign('L_LOGIN_FORM_REMIND_COMMENT_CLOSE', '-->');
    } else {
	$smarty->assign('L_LOGIN_FORM_REMIND_COMMENT_OPEN', '');
	$smarty->assign('L_LOGIN_FORM_REMIND_COMMENT_CLOSE', '');
    }
    $smarty->assign('L_LOGIN_FORM_REMIND', $sLoginRemind);
} else {
    $smarty->assign('L_LOGIN_FORM_REMIND', '');
    $smarty->assign('L_LOGIN_FORM_REMIND_COMMENT_OPEN', '<!--');
    $smarty->assign('L_LOGIN_FORM_REMIND_COMMENT_CLOSE', '-->');
}

// 20100430 - Mod complete
// 20090921 - Temp modification in v6, mod TPL in the next version
if (isset($sLoginExample)) {
	if ($sLoginExample == '') {
		$smarty->assign('L_LOGIN_FORM_EXMAPLE_COMMENT_OPEN', '<!--');
		$smarty->assign('L_LOGIN_FORM_EXMAPLE_COMMENT_CLOSE', '-->');
	} else {
		$smarty->assign('L_LOGIN_FORM_EXMAPLE_COMMENT_OPEN', '');
		$smarty->assign('L_LOGIN_FORM_EXMAPLE_COMMENT_CLOSE', '');
	}
	$smarty->assign('L_LOGIN_FORM_EXAMPLE', $sLoginExample);
} else {
	$smarty->assign('L_LOGIN_FORM_EXAMPLE', '');
	$smarty->assign('L_LOGIN_FORM_EXMAPLE_COMMENT_OPEN', '');
	$smarty->assign('L_LOGIN_FORM_EXMAPLE_COMMENT_CLOSE', '');
}

$smarty->assign('L_LOGIN_FORM_SUPPORT_LINK', print_support_link('login'));
$smarty->assign('L_LOGIN_FORM_FREE_WEBSITE', get_var('free_website'));
if (isset($sLoginLink)) {
    if (count($sLoginLink) <= 0) {
	$smarty->assign('L_LOGIN_FORM_LINK_COMMENT_OPEN', '<!--');
	$smarty->assign('L_LOGIN_FORM_LINK_COMMENT_CLOSE', '-->');
	$smarty->assign('L_LOGIN_FORM_LINK', '');
    } else {
	$smarty->assign('L_LOGIN_FORM_LINK_COMMENT_OPEN', '');
	$smarty->assign('L_LOGIN_FORM_LINK_COMMENT_CLOSE', '');
	$cLoginLink = '';
	$i = 0;
	while ($i < count($sLoginLink)) {
	    if (isset($sLoginLink[$i][0]) && isset($sLoginLink[$i][1])) {
		$cLoginLink .= '
			<tr><td><a class="freelink" style="'.getStyle('login_form_link').'" href="'.$sLoginLink[$i][1].'">'.$sLoginLink[$i][0].'</a></td></tr>';
	    } else {
		$cLoginLink .= '
			<tr><td><br></td></tr>';
	    }
	    $i++;
	}
	$smarty->assign('L_LOGIN_FORM_LINK', $cLoginLink);
    }
} else {
    $smarty->assign('L_LOGIN_FORM_LINK_COMMENT_OPEN', '<!--');
    $smarty->assign('L_LOGIN_FORM_LINK_COMMENT_CLOSE', '-->');
    $smarty->assign('L_LOGIN_FORM_LINK', '');
}
$smarty->assign('L_LOGIN_FORM_TERM_TITLE', get_var('term_condition'));
if (isset($sLoginTerm)) {
    if ($sLoginTerm == '') {
	$smarty->assign('L_LOGIN_FORM_TERM_COMMENT_OPEN', '<!--');
	$smarty->assign('L_LOGIN_FORM_TERM_COMMENT_CLOSE', '-->');
    } else {
	$smarty->assign('L_LOGIN_FORM_TERM_COMMENT_OPEN', '');
	$smarty->assign('L_LOGIN_FORM_TERM_COMMENT_CLOSE', '');
    }
    $smarty->assign('L_LOGIN_FORM_TERM_CONTENT', $sLoginTerm);
    $smarty->assign('L_LOGIN_FORM_TERM_CONTENT_STYLE', getStyle('login_form_term'));
} else {
    $smarty->assign('L_LOGIN_FORM_TERM_COMMENT_OPEN', '<!--');
    $smarty->assign('L_LOGIN_FORM_TERM_COMMENT_CLOSE', '-->');
    $smarty->assign('L_LOGIN_FORM_TERM_CONTENT', '');
    $smarty->assign('L_LOGIN_FORM_TERM_CONTENT_STYLE', '');
}
$smarty->assign('L_LOGIN_FORM_TECH_BY', get_var('login_form_tech_by'));

// 20100503 - Add session variable for free access
// 20080707 - Add new tag to pass redirect information
$sOkUrl = '';
if (isset($sslRedir)) {
    $sOkUrl = "?&sslredir=$sslRedir";
} elseif (isset($loginPage)) {
    $sOkUrl = "?&loginPage=$loginPage";
}
$smarty->assign('LOGIN_FORM_OKURL', $sOkUrl);
$_SESSION['ok_url'] = "redirect.php$sOkUrl";

// variable <p_result> init by generate_common.php
$l_meta="";
$l_body="";
if($p_result == 1){
	// workaround for add meta tag (purpose: set width = device width, scale = 1, <work in wm6.5 >) inside head tag through J_COMMON
	$l_meta.='<META content="width=device-width,minimum-scale=1.0,maximum-scale=1.0" name=viewport>';
	$j_common.=$l_meta;
	
	// workaround for window.onload <fs_login.php> not work in some mobile device (wm6.1.0 or previous version)
	$l_body='onload=fillName()';
	$smarty->assign('L_LOGIN_FORM_BODY', $l_body);
	
}

$smarty->assign('J_COMMON', $j_common);

// 20101025 - Control CAPTCHA section
$captchaStr = '';
$captchaStr2 = '';
if (isset($login_captcha_check) && $login_captcha_check == 'on') {
	if ($p_result == 3){ // iphone view
		$captchaStr = '<tr><td align="left" valign="bottom"><span class="securityspan">'.get_var('login_security_desc').'</span></td></tr>
					<tr>
						<td align="left" valign="bottom"><img class="captchaimg" src="CaptchaImage.php?width=230&height=40&num_character=6&dest=li" align="left"></td>
					</tr>
					<tr><td align="left" valign="bottom"><input class="userbox" type="text" name="security_code" tabindex="3" size="8px"></td></tr>
					';
	}
	else{
		$captchaStr = '<tr><td colspan=2 align="left" valign="bottom"><span class="securityspan">'.get_var('login_security_desc').'</span></td></tr>
					<tr>
						<td width="20%" align="left" valign="bottom"><img class="captchaimg" src="CaptchaImage.php?width=230&height=40&num_character=6&dest=li" align="left"></td>
						<td width="20%" align="left" valign="bottom"><input class="userbox" type="text" name="security_code" tabindex="3" size="8px"></td>
					</tr>';
	}
	
	if (isset($username_plus_scratch_login) && strtolower($username_plus_scratch_login) == 'on') {
		if ($p_result == 3){ // iphone view
			$captchaStr2 = '<tr><td align="left" valign="bottom"><span class="securityspan">'.get_var('login_security_desc').'</span></td></tr>
						<tr>
							<td align="left" valign="bottom"><img class="captchaimg" src="CaptchaImage.php?width=230&height=40&num_character=6&dest=li2" align="left"></td>
						</tr>
						<tr><td align="left" valign="bottom"><input class="userbox" type="text" name="security_code" tabindex="3" size="8px"></td></tr>
						';
		}
		else{
			$captchaStr2 = '<tr><td colspan=2 align="left" valign="bottom"><span class="securityspan">'.get_var('login_security_desc').'</span></td></tr>
						<tr>
							<td width="20%" align="left" valign="bottom"><img class="captchaimg" src="CaptchaImage.php?width=230&height=40&num_character=6&dest=li2" align="left"></td>
							<td width="20%" align="left" valign="bottom"><input class="userbox" type="text" name="security_code" tabindex="3" size="8px"></td>
						</tr>';
		}
	}
}

$smarty->assign('L_LOGIN_FORM_CAPTCHA_IMAGE', $captchaStr);
$smarty->assign('L_LOGIN_FORM_CAPTCHA_IMAGE2', $captchaStr2);

// 20080331 - Move layout content and include the file here
if (isset($enableRedir) && $enableRedir == 1) {
    $smarty->display($redirTpl);
} else {
	if ($p_result == 3) // iphone view
		$smarty->display('ip_login_form_body.tpl');
	else
		$smarty->display('login_form_body.tpl');
}

?>
